<ion-header>
  <ion-toolbar color="danger">
    <ion-buttons>
      <ion-button position="float" icon-only color="light" [routerLink]="['../view-payslips']" ><ion-icon name="close"></ion-icon></ion-button>
      <ion-title>New Payslips</ion-title>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
    <form #form="ngForm" (ngSubmit)="submit(form)" method="post">
    <ion-list lines="inset" class="ion-no-margin ion-no-padding">
      <ion-list-header>
        Generate New Payslips
      </ion-list-header>

      <ion-item-sliding *ngFor="let item of staffs; let i = index">
        <ion-item>
          <ion-label>
            <p>{{ item.count }}</p>
            <p>{{ item.name }}</p>
            <p>{{ item.gred }}</p>
            <p>{{ item.jawatan }}</p>
            <p><em>Basic:</em> {{ item.basic }}</p>
          </ion-label>
        </ion-item>
    
      </ion-item-sliding>

    </ion-list>
    <ion-button expand="block" type="submit" color="danger" class="ion-padding ion-margin">Confirm</ion-button>
    </form>
 </ion-content>
